#include "UnitTestRunner.h"

CUnitTestRunner::CUnitTestRunner()
{
}

CUnitTestRunner::~CUnitTestRunner()
{
}

void
CUnitTestRunner::Run()
{
	CppUnit::TestFactoryRegistry &registry = CppUnit::TestFactoryRegistry::getRegistry();

	CppUnit::TextUi::TestRunner runner;
	runner.addTest( registry.makeTest() );

	runner.run();
}
